#!/bin/sh
# by greg lawler http://www.zinkwazi.com/pages.php?page_name=scripts
# october 17, 2002
# see LICENCE.txt for licence info...

ID=/usr/bin/id

# make sure we're running as root
if (( `$ID -u` != 0 )); then { echo "Sorry, must be root.  Exiting..."; exit; } fi

OSX_VNC_HOST=`hostname`

# check to see if the password file exists...
if [ ! -f /etc/osxvnc-passwd ] ; 
	then 
	OSX_VNC_PROG=OSXvnc.app/Contents/MacOS/storepasswd
	echo "";
	echo "  No /etc/osxvnc-passwd file detected, creating..."  ; 
	echo "  Please enter your VNC password:"
	read OSX_VNC_PW
	$OSX_VNC_PROG $OSX_VNC_PW /etc/osxvnc-passwd ;
	echo ""
fi ;

# install the files...
cp -Rf OSXvnc.app /Applications/
cp -f osxvnc-args /etc/
chown root /etc/osxvnc*
chmod 600 /etc/osxvnc*
mkdir -p /Library/StartupItems
cp -Rf OSXvnc /Library/StartupItems
echo ""
echo "  OSX_VNC installed and can be accessed at:"
echo "  $OSX_VNC_HOST:1"
echo "  Reboot to start OSX_VNC"
echo ""
exit
